Package com.io7m.idstore.protocol.user

# Record Class IdUCommandLogin

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.IdUCommandLogin

Record Components:
  `userName` - The username
  `password` - The password
  `metadata` - Extra metadata included with the request

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`, `IdProtocolMessageType`, `IdUCommandType<IdUResponseLogin>`, `IdUMessageType`

public record IdUCommandLogin(IdName userName, String password, Map<String,String> metadata) extends Record implements IdUCommandType<IdUResponseLogin>
A request to log in.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUCommandLogin(IdName userName, String password, Map<String,String> metadata)`
  A request to log in.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Map<String,String>`
  `metadata()`
  Returns the value of the `metadata` record component.
  `String`
  `password()`
  Returns the value of the `password` record component.
  `Class<IdUResponseLogin>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdName`
  `userName()`
  Returns the value of the `userName` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUCommandLogin

    public IdUCommandLogin(IdName userName, String password, Map<String,String> metadata)
    A request to log in.
    Parameters:
      `userName` - The username
      `password` - The password
      `metadata` - Extra metadata included with the request

- ## Method Details

  - ### responseClass

    public Class<IdUResponseLogin> responseClass()
    Specified by:
      `responseClass` in interface `IdUCommandType<IdUResponseLogin>`
    Returns:
      The response class associated with a successful command execution

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userName

    public IdName userName()
    Returns the value of the `userName` record component.
    Returns:
      the value of the `userName` record component

  - ### password

    public String password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### metadata

    public Map<String,String> metadata()
    Returns the value of the `metadata` record component.
    Returns:
      the value of the `metadata` record component